# Class PanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI

Direct Known Subclasses:
  `BasicPanelUI`, `MultiPanelUI`

public abstract class PanelUI extends ComponentUI
Pluggable look and feel interface for Panel.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PanelUI()`
Constructor for subclasses to call.

## Method Summary

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PanelUI

protected PanelUI()
Constructor for subclasses to call.